# RevealNamespaceOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Reveal namespace options

param

  the namespace to reveal

param

  salt used to generate the preorder namespace hash

param

  an object containing the price function for the namespace

param

  the number of blocks name registrations are valid for in the namespace

param

  the STX address used for name imports

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- RevealNamespaceOptions

## Index

### Properties

- lifetime
- namespace
- namespaceImportAddress
- network
- priceFunction
- publicKey
- salt

## Properties

### lifetime

lifetime: BN

- Defined in packages/bns/src/index.ts:324

### namespace

namespace: string

- Defined in packages/bns/src/index.ts:321

### namespaceImportAddress

namespaceImportAddress: string

- Defined in packages/bns/src/index.ts:325

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:327

### priceFunction

priceFunction: PriceFunction

- Defined in packages/bns/src/index.ts:323

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:326

### salt

salt: string

- Defined in packages/bns/src/index.ts:322

Generated using TypeDoc